Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1106 (new defect)

Opened 15 years ago

Last modified 13 years ago

Monitor mode reception failure whilst channel hopping

Reported by: ravenx386@gmail.com Assigned to: mtaylor
Priority: major Milestone: version 0.9.4
Component: madwifi: other Version: trunk
Keywords: ar5006 Cc:
Patch is attached: 0 Pending:

Description

hello, first sorry for my poor english, i try in this few line to explain the problem

Computer used is a HP laptop pavilion ZE4300 and a classic desktop computer whit a mini-pci adaptater

lasted revision of madwifi r1993 kernel 2.6.18 rc5

ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1993)
ath_pci: 0.9.4.5 (svn r1993)
PCI: Enabling device 0000:00:09.0 (0010 -> 0012)
ACPI: PCI Interrupt 0000:00:09.0[A] -> Link [LNKD] -> GSI 10 (level, low) -> IRQ 10
ath_rate_sample: 1.2 (svn r1993)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 10.4 phy 6.1 radio 6.3
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0xd0000000, irq=10

Wireless card was EMP-8602 from netgate AR5006 atheros chip, the card work fine in 2 the system for a classic use, but if you try too use kismet or another dump program like airodump-ng in channel hoping mode, after 1-10 min of work the card do not respond (like ifconfig ath0 down) the same problem on two different configuration, only issue is restarting kismet (and it auto recreate a kis vap) or manualy destroy and recreate a monitor vap

after some hour of research, i have try athdebug during a test kismet session (lasted revision too), have a look, here my Dmesg output whit "athdebug 0xffffffff"

info : source=madwifing_g,wifi0,Emp-8602

40) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_chan_set: 7 (2442 MHz) -> 3 (2422 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_calibrate: channel 2422/c0
ath_chan_set: 3 (2422 MHz) -> 8 (2447 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_chan_set: 8 (2447 MHz) -> 4 (2427 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_chan_set: 4 (2427 MHz) -> 9 (2452 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_chan_set: 9 (2452 MHz) -> 5 (2432 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_chan_set: 5 (2432 MHz) -> 10 (2457 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_calibrate: channel 2457/c0
ath_chan_set: 10 (2457 MHz) -> 1 (2412 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000
ath_chan_set: 1 (2412 MHz) -> 11 (2462 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
ath_stoprecv: rx queue 0xb8642d0, link cb8642a0
R (cb8642d0 b8642d0) 0b864300 029bb0c0 00000000 00000cc0 00000000 00000000  
R (cb864300 b864300) 0b864330 070c90c0 00000000 00000cc0 00000000 00000000  
R (cb864330 b864330) 0b864360 0481d0c0 00000000 00000cc0 00000000 00000000  
R (cb864360 b864360) 0b864390 0ae610c0 00000000 00000cc0 00000000 00000000  
R (cb864390 b864390) 0b8643c0 0a9200c0 00000000 00000cc0 00000000 00000000  
R (cb8643c0 b8643c0) 0b8643f0 079450c0 00000000 00000cc0 00000000 00000000  
R (cb8643f0 b8643f0) 0b864420 0a5de0c0 00000000 00000cc0 00000000 00000000  
R (cb864420 b864420) 0b864450 054e90c0 00000000 00000cc0 00000000 00000000  
R (cb864450 b864450) 0b864480 0b1f00c0 00000000 00000cc0 00000000 00000000  
R (cb864480 b864480) 0b8644b0 0a5d70c0 00000000 00000cc0 00000000 00000000  
R (cb8644b0 b8644b0) 0b8644e0 066b40c0 00000000 00000cc0 00000000 00000000  
R (cb8644e0 b8644e0) 0b864510 054850c0 00000000 00000cc0 00000000 00000000  
R (cb864510 b864510) 0b864540 0a6140c0 00000000 00000cc0 00000000 00000000  
R (cb864540 b864540) 0b864570 00d250c0 00000000 00000cc0 00000000 00000000  
R (cb864570 b864570) 0b8645a0 0b47d0c0 00000000 00000cc0 00000000 00000000  
R (cb8645a0 b8645a0) 0b8645d0 0b88b0c0 00000000 00000cc0 00000000 00000000  
R (cb8645d0 b8645d0) 0b864600 0bce30c0 00000000 00000cc0 00000000 00000000  
R (cb864600 b864600) 0b864630 0a5f10c0 00000000 00000cc0 00000000 00000000  
R (cb864630 b864630) 0b864660 0aa8c0c0 00000000 00000cc0 00000000 00000000  
R (cb864660 b864660) 0b864690 0a6250c0 00000000 00000cc0 00000000 00000000  
R (cb864690 b864690) 0b8646c0 03cd40c0 00000000 00000cc0 00000000 00000000  
R (cb8646c0 b8646c0) 0b8646f0 054450c0 00000000 00000cc0 00000000 00000000  
R (cb8646f0 b8646f0) 0b864720 014fa0c0 00000000 00000cc0 00000000 00000000  
R (cb864720 b864720) 0b864750 0b77b0c0 00000000 00000cc0 00000000 00000000  
R (cb864750 b864750) 0b864000 0655f0c0 00000000 00000cc0 00000000 00000000  
R (cb864000 b864000) 0b864030 0510d0c0 00000000 00000cc0 00000000 00000000  
R (cb864030 b864030) 0b864060 0a9ab0c0 00000000 00000cc0 00000000 00000000  
R (cb864060 b864060) 0b864090 06a860c0 00000000 00000cc0 00000000 00000000  
R (cb864090 b864090) 0b8640c0 06a960c0 00000000 00000cc0 00000000 00000000  
R (cb8640c0 b8640c0) 0b8640f0 0ae700c0 00000000 00000cc0 00000000 00000000  
R (cb8640f0 b8640f0) 0b864120 0670a0c0 00000000 00000cc0 00000000 00000000  
R (cb864120 b864120) 0b864150 04b390c0 00000000 00000cc0 00000000 00000000  
R (cb864150 b864150) 0b864180 04c7d0c0 00000000 00000cc0 00000000 00000000  
R (cb864180 b864180) 0b8641b0 063b00c0 00000000 00000cc0 00000000 00000000  
R (cb8641b0 b8641b0) 0b8641e0 098580c0 00000000 00000cc0 00000000 00000000  
R (cb8641e0 b8641e0) 0b864210 04fc70c0 00000000 00000cc0 00000000 00000000  
R (cb864210 b864210) 0b864240 075100c0 00000000 00000cc0 00000000 00000000  
R (cb864240 b864240) 0b864270 0b49f0c0 00000000 00000cc0 00000000 00000000  
R (cb864270 b864270) 0b8642a0 091e80c0 00000000 00000cc0 00000000 00000000  
R (cb8642a0 b8642a0) 0b8642a0 02dc30c0 00000000 00000cc0 00000000 00000000  
ath_startrecv: mtu 1500 cachelsz 64 rxbufsize 3136
ath_mode_init: RX filter 0x1bf, MC filter 00000000:00000000

the end of the quote, kismet does not recieve packet any more ... same thing whit airodump-ng in channel hoping mode, after some min or sec (hazard) the card does not respond and no more beacon

ask for more log, debug or info, tanks

Attachments

kern.log.bz2 (0.6 MB) - added by hondza (mbdrzq8jm1wljrwyo1sk st gmail dot com) on 07/19/07 13:29:34.

Change History

02/08/07 17:47:23 changed by ne-grusti@narod.ru

Same problem on ASUS A8N notebook, card AR5006EG Kubuntu, kernel 2.6.17-10-generic svn r2088 Atheros 5424/2424 Kismet 2007-01-R1 Kismet captures packets in the channel-hopping for couple of minutes, then no data is coming anymore. Logs with athdebug look absolutely normal, just no data coming in (athstats 1 confirms it). If Kismet is locked to one channel, it captures OK indefinitely. Restarting Kismet gets data coming again for random (short) time. Monitor mode is the only VAP.

05/11/07 17:53:53 changed by giovani

I'm having the same problems with channel hopping while in monitor mode (via kismet) crashing/stopping the drivers/card from capturing packets. If I restart kismet without channel hopping (or use something like wireshark/ethereal with no channel hopping) the card works indefinitely.

I'm using a D-Link DWL-G520 -- I've tried with the current ubuntu madwifi drivers, and with the SVN drivers.

05/12/07 11:51:16 changed by grummund

I see the same problem as above but using airodump-ng.

After 10 minutes or so of channel hopping, no more packets are captured.

ath_pci must be unloaded and reloaded, and airodump-ng restarted. Sometimes when ath_pci is unloaded the kernel panicks.

The card is a Cardbus, Vendor: TP-LINK, Model: TL-WN610G, Ver:1.7

I am aware that version of madwifi I am running is not recent, but hope that this info may help as someone in #madwifi reported it happens with most recent SVN version too.

-grummund

sir:~# lspci -v
00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
        Flags: bus master, medium devsel, latency 64
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, 66MHz, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Memory behind bridge: f0000000-f7ffffff
        Prefetchable memory behind bridge: 18000000-180fffff

00:02.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
        Subsystem: IBM Thinkpad T20/T22/A21m
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 50000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
        Memory window 0: 10000000-11fff000 (prefetchable)
        Memory window 1: 12000000-13fff000
        I/O window 0: 00001400-000014ff
        I/O window 1: 00001c00-00001cff
        16-bit legacy interface ports at 0001

00:02.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
        Subsystem: IBM Thinkpad T20/T22/A21m
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 50100000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=06, subordinate=09, sec-latency=176
        Memory window 0: 14000000-15fff000 (prefetchable)
        Memory window 1: 16000000-17fff000
        I/O window 0: 00002000-000020ff
        I/O window 1: 00002400-000024ff
        16-bit legacy interface ports at 0001

00:03.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 09)
        Subsystem: Intel Corporation EtherExpress PRO/100+ MiniPCI
        Flags: bus master, medium devsel, latency 66, IRQ 11
        Memory at e8120000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at 1800 [size=64]
        Memory at e8100000 (32-bit, non-prefetchable) [size=128K]
        [virtual] Expansion ROM at 18100000 [disabled] [size=1M]
        Capabilities: [dc] Power Management version 2

00:03.1 Serial controller: Xircom Mini-PCI V.90 56k Modem (prog-if 02 [16550])
        Subsystem: Intel Corporation Unknown device 2408
        Flags: medium devsel, IRQ 11
        I/O ports at 1840 [size=8]
        Memory at e8121000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2

00:05.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24 [CrystalClear SoundFusion Audio Accelerator] (rev 01)
        Subsystem: IBM ThinkPad A20m
        Flags: bus master, slow devsel, latency 64, IRQ 11
        Memory at e8122000 (32-bit, non-prefetchable) [size=4K]
        Memory at e8000000 (32-bit, non-prefetchable) [size=1M]
        Capabilities: [40] Power Management version 2

00:07.0 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80 [Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at 1850 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01) (prog-if 00 [UHCI])
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at 1860 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 03)
        Flags: medium devsel, IRQ 9

01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/IX-MV (rev 11) (prog-if 00 [VGA])
        Subsystem: IBM Thinkpad T20/T22
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 11
        Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
        [virtual] Expansion ROM at 18000000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
        Capabilities: [80] AGP version 1.0

02:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: Atheros Communications, Inc. Unknown device 1051
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 12000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2

sir:~# modinfo ath_pci
filename:       /lib/modules/2.6.18.sir.20070321.1054/kernel/drivers/net/ath_pci.ko
author:         Errno Consulting, Sam Leffler
description:    Support for Atheros 802.11 wireless LAN cards.
version:        0.9.3
license:        Dual BSD/GPL
vermagic:       2.6.18.sir.20070321.1054 SMP mod_unload 686 REGPARM gcc-4.1
depends:        ath_hal,ath_rate_sample,wlan
alias:          pci:v0000168Cd00000007sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000012sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000013sv*sd*bc*sc*i*
alias:          pci:v0000A727d00000013sv*sd*bc*sc*i*
alias:          pci:v000010B7d00000013sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00001014sv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000101Asv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000015sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000016sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000017sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000018sv*sd*bc*sc*i*
alias:          pci:v0000168Cd00000019sv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Asv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Bsv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Csv*sd*bc*sc*i*
alias:          pci:v0000168Cd0000001Dsv*sd*bc*sc*i*
alias:          pci:v0000168Cd00009013sv*sd*bc*sc*i*
srcversion:     BE7ADB5CE5F59D0E46CB793
parm:           ath_debug:Load-time debug output enable (int)
parm:           autocreate:Create ath device in [sta|ap|wds|adhoc|ahdemo|monitor] mode. defaults to sta, use 'none' to disable (charp)
parm:           rfkill:Enable/disable RFKILL capability (int)
parm:           xchanmode:Enable/disable extended channel mode (int)
parm:           outdoor:Enable/disable outdoor use (int)
parm:           countrycode:Override default country code (int)
sir:~#

06/24/07 20:36:38 changed by succub

I'm having the same problem using debian 4 testing on a 2.6.18.4 kernel. I've tried the last madwifi drivers from svn. When using kismet-dev or airodump after 1-10 minutes the inteface stop capturing packets. The card I use is a Gigabyte GN-WI01GT.

06/26/07 09:16:19 changed by igor

I confirm that this bug occurs with a Gigabyte GN-WI01GT (AR5006EGS).

I've been testing this card on Backtrack2 and Debian4, and the same problem occurs. I've tried with various madwifi version, on various kernel, it still occurs. To describe the problem: when hopping from channel to channel the card stop capturing traffic after 1 to 5 minutes (kismet or airodump). If you need further information, just ask, i'll be glad to help (and being helped :-)).

Thanks, regards,

ig0R

06/26/07 09:37:08 changed by mentor

  • summary changed from EMP-8602 AR5006 hop problem (Madwifi-ng r1993) to Monitor mode reception failure whilst channel hopping.

07/01/07 20:57:36 changed by archer36@chartermi.net

I also suffer the problem with my NMP-8602+ I have seen it in another ticket or website, but if you issue the command "iwpriv kis0 sleep 1" it will wake back up for a short time. However I really do not know what the sleep command does, or why it wakes it up. Maybe is it possible to loop it, or make some kind of script to issue the command when traffic is less than so many kb? But that all depends on what the command does.

Has anyone really pin pointed the problem yet, not necessarily the solution, but what is causing it?

Thanks, Brett

(follow-up: ↓ 10 ) 07/13/07 18:50:16 changed by smaskell@up.com

Same issue for me using IBM/Lenovo T60 with internal miniPCI AR5212 chipset. Latest madwifi, latest kismet. Changing the channel dwell parameter in kismet changes the amount of time it takes to stop receiving packets but the only way to guarantee packets to keep flowing is to disable channel hopping. Makes it basically useless for my requirements. Anyone know where I can get the old "non-NG" madwifi code? At least that worked for me on my previous laptop.

07/16/07 08:52:36 changed by Ig0R

Can you post here if the old "non-NG" drivers solve the problem pls ? I can't find an efficient way to stop the card going to sleep ....

thx,

(in reply to: ↑ 8 ) 07/16/07 08:55:43 changed by mrenzmann

Replying to smaskell@up.com:

Anyone know where I can get the old "non-NG" madwifi code?

http://snapshots.madwifi.org/madwifi-old

But please be aware that this code is deprecated and has known security issues that have not been (and won't ever get) fixed. In addition, madwifi-old gets no support. You have been warned.

07/19/07 13:29:34 changed by hondza (mbdrzq8jm1wljrwyo1sk st gmail dot com)

  • attachment kern.log.bz2 added.

07/19/07 13:30:20 changed by hondza (mbdrzq8jm1wljrwyo1sk st gmail dot com)

Same problem here. DWL-G520 (Atheros 5212). My debug log is attached. I will gladly help as much as I can. Any further information, patch testing, ...

07/25/07 18:27:38 changed by ig0R

Does anyone can tell if the madwifi old solves the problem ?? I really need to find a way to solve the problem (i can't do scans for more than 1-2minutes!!). It seems that the card goes in sleep mode after a while monitoring and channel hopping. Does any know if there's a way to change the configuration of the sleep parameter, or even this "sleep option" ? It may have something to do with power management which shut the interface down when it is unused.

Thanks,

08/13/07 22:05:31 changed by anonymous

I'm not using the madwifi-old, but an early release of the madwifi-ng branch. This still compiles clean against a current 2.6 kernel. You can try the oldest from this : snapshots.madwifi.org/madwifi-ng/ I think i have an 1143, which is working without this behaviour.

(follow-up: ↓ 15 ) 08/14/07 03:07:44 changed by ig0r

Thanks for your answer ;-) there is still a problem left, how can i get the version 1143 from the svn ???

thanks again ! enjoy :p

(in reply to: ↑ 14 ) 08/14/07 05:47:37 changed by mrenzmann

Replying to ig0r:

how can i get the version 1143 from the svn ???

Read http://svnbook.org . But again, you don't want such a stone-aged version. Really.

(follow-up: ↓ 17 ) 10/25/07 09:45:40 changed by dave

Hi,

... still looking for a solution so i can monitor traffic for more than 2 minutes :(

Does anyone have news ? solution ? good workaround ?

thx for your help.

(in reply to: ↑ 16 ) 10/31/07 10:08:09 changed by anonymous

I found a solution for this problem. It's reported often that VAP's can create problems. Is you use a current version of the madwifi-ng drivers and make sure the ath_pci module is loaded with the option autocreate=none, everything works fine. See also: http : // kismetwireless.net/Forum/General/Messages/1190739779.5177331

A succesfully scanned for several hours (until i stopped it!) with the latest drivers.

10/31/07 16:12:09 changed by anonymous

Oh wow, ill have to give that a shot, thanks!

Question though, are you doing this in an area with lots of wireless traffic? I can let it run for hours as well here in my house but there are only 3-4 APs it can see.

Thanks!

10/31/07 21:17:51 changed by smaskell@up.com

Unfortunately that doesn't work for me. I also have a T60 laptop. Downloaded latest MW code (0.9.3.3). Used the exact same commands: modprobe -r ath_pci wlan_scan_sta ath_rate_sample wlan then modprobe auth_pci autocreate=none

Kismet runs for a varying amount of time but will ultimately stop receiving packets. Once after 15 minutes and 102k packets. The next time after 5 minutes and 33k packets. The channel indicator continues to change channels but no data is received. (Currently scanning around 16 APs)

Bummer. I guess I will have to continue to hope for a fix from the mw code gurus...

11/01/07 20:15:31 changed by anonymous

Looong time problem. Wonder what takes this log to fix

11/01/07 21:11:50 changed by mtaylor

Check to see if the radio is still receiving packets. Try doing tcpdump -i kis0 and see if it is receiving. Be sure you are on latest (HEAD) revision of trunk. After it fails, 80211stats and athstats indicate receive of packets?

11/01/07 21:22:32 changed by anonymous

I just cant believe none of devs ever use it. It's like primary function that should work. In area with lot of networks, kismet can be valuable tool in finding what causes problem (traffic or some other thing). If devs runed monitor mode with kismet/aircrack-ng or something they would find that after few dozen hops it just stops with packet rate of 0

11/01/07 21:33:18 changed by Mister_X

There's a solution, it can be found on kismet (posted first there) and aircrack-ng forum. The solution was tested by me and another person and it's working (only tested monitor mode + channel hopping). Here is it:

*** madwifi-ng-r2799-20071030/ath/if_ath.c	2007-10-29 00:19:27.000000000 -0400
--- madwifi-ng/ath/if_ath.c	2007-10-30 14:53:44.000000000 -0400
***************
*** 7915,7920 ****
--- 7920,7927 ----
  			return -EIO;
  		}
  
+ 		if (!ath_hal_reset(ah, sc->sc_opmode, &hchan, AH_TRUE, &status))
+ 
  		if (sc->sc_softled)
  			ath_hal_gpioCfgOutput(ah, sc->sc_ledpin);
  

11/01/07 21:41:31 changed by anonymous

Can't believe it was that 'simple' :D now can somebody integrate this in SVN and in future release and please close all those similar tickets.

11/01/07 21:43:51 changed by Mister_X

I think it needs a bit more testing to be completely sure it doesn't break anything else.

11/01/07 22:02:17 changed by mtaylor

Patch does not make sense. It looks like you are just doing a second reset, identical to the last. I don't buy that as a fix for the problem.

11/01/07 22:08:03 changed by anonymous

and we are on the start again :)

11/01/07 22:25:20 changed by Mister_X

but I confirm that it fixes the problem. Here is the detailled post on kismet: www.kismetwireless.net/Forum/General/Messages/1193299906.832582 and on aircrack-ng: tinyshell.be/aircrackng/forum/index.php?topic=2579.msg14633#msg14633

11/01/07 23:26:37 changed by smaskell@up.com

I agree it doesn't make a lot of sense. Although it does seem to make a difference. My kismet has pulled in about 220k packets in the last 32 minutes. I don't believe it has gotten that far before.

The other question, and I posed this to the original poster at the kismet forum, is whether the patch was intended to make the following "if" contingent on the reset return. There was no semicolon to end the inserted statement so the patch became:

if (!ath_hal_reset(ah, sc->sc_opmode, &hchan, AH_TRUE, &status)) {

if (sc->sc_softled)

ath_hal_gpioCfgOutput(ah, sc->sc_ledpin);

}

Not sure if that was intentional or not.

11/02/07 06:28:49 changed by mrenzmann

Despite the question whether it makes sense or not: patches need to be signed off by their author before they can be committed to the repository. Yes, even one-liner patches.

11/06/07 00:23:00 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

I figured out what was needed from some of the referenced URLs. The problem happens in the HAL for specific non turbo AG cards. Apparently with those cards, the HAL reset with chanchange set to TRUE isn't enough and a second reset with chanchange set to FALSE is needed. I've put the workaround in trunk and madwifi-dfs.

11/06/07 06:32:41 changed by mrenzmann

  • milestone set to version 0.9.4.

Fixed in r2831.

01/21/08 17:55:13 changed by mentor

  • status changed from closed to reopened.
  • resolution deleted.

Reopening due to #1674

01/21/08 17:55:26 changed by mentor

  • status changed from reopened to new.
  • owner set to mtaylor.

01/21/08 21:30:28 changed by mtaylor

Can I get a very specific set of instructions on how you have configured the VAPs so I can reproduce this case?

Thanks,

Mike

(follow-up: ↓ 37 ) 01/21/08 21:31:45 changed by mtaylor

Please also be sure the problem is reproduced against the HEAD revision of madwifi trunk. I'll do my best to get this fixed as fast as possible.

(in reply to: ↑ 36 ; follow-up: ↓ 38 ) 06/23/08 23:07:54 changed by anonymous

Any news on this yet?

(in reply to: ↑ 37 ) 06/29/08 19:15:54 changed by mrenzmann

Replying to anonymous:

Any news on this yet?

It seems that the requested information has not been delivered so far...